Delete Document
curl --request DELETE \
--url https://api.example.com/api/knowledge-base/{documentation_id} \
--header 'X-API-Key: <x-api-key>' \
--header 'X-Organization-Id: <x-organization-id>'import requests
url = "https://api.example.com/api/knowledge-base/{documentation_id}"
headers = {
"X-API-Key": "<x-api-key>",
"X-Organization-Id": "<x-organization-id>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-API-Key': '<x-api-key>', 'X-Organization-Id': '<x-organization-id>'}
};
fetch('https://api.example.com/api/knowledge-base/{documentation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Document 'Product Manual' deleted successfully"
}
Knowledge Base
Delete Document
DELETE
/
api
/
knowledge-base
/
{documentation_id}
Delete Document
Delete a knowledge base document. This removes it from storage and all agent attachments.
Cannot delete documents that are attached to agents. Detach first using the detach endpoint.
Headers
string
required
Your API key for authentication.
string
required
The organization ID.
Path Parameters
string
required
The unique identifier of the document to delete.
Permissions
kb:delete(admin, agent_manager)
Response
boolean
Indicates if the deletion was successful.
string
Human-readable success message.
{
"success": true,
"message": "Document 'Product Manual' deleted successfully"
}
Errors
object
Document not found.
object
Document belongs to different organization.
object
Cannot delete - document is attached to agents. Detach it first.
⌘I